Bug 1566543 - [Satellite6] cd-rom settings in compute profile for vmware compute resource never showed as enabled
Summary: [Satellite6] cd-rom settings in compute profile for vmware compute resource n...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Compute Resources - VMWare
Version: 6.3.0
Hardware: All
OS: Linux
high
high vote
Target Milestone: 6.5.0
Assignee: Marek Hulan
QA Contact: Sanket Jagtap
URL:
Whiteboard:
: 1600428 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-12 13:42 UTC by Stefan Nemeth
Modified: 2019-11-05 22:27 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:37:13 UTC
Target Upstream Version:


Attachments (Terms of Use)
Compute profile has cd checked (20.17 KB, image/png)
2018-12-20 12:37 UTC, Sanket Jagtap
no flags Details
Vmware VM has a CD-Rom device (19.26 KB, image/png)
2018-12-20 12:37 UTC, Sanket Jagtap
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:37:20 UTC
Foreman Issue Tracker 24541 None None None 2018-08-06 12:18:53 UTC
Red Hat Knowledge Base (Solution) 3456921 None None None 2018-05-23 12:37:47 UTC

Description Stefan Nemeth 2018-04-12 13:42:11 UTC
Description of problem:

checkbox for CD-ROM drive in compute profile is not shown as checked

Version-Release number of selected component (if applicable):


How reproducible:

100%

Steps to Reproduce:
1.Setup satellite 6.3 with vmware compute resorce
2.Infrastructure -> compute profiles -> select  profile
3.choose vmware as compute resource
4.check checkbox CD-ROM drive 
5.Submit
6.navigate back to profile 

Actual results:

CD-ROM drive checkbox not checked 

Expected results:

CD-ROM drive checkbox checked

Additional info:

it seems like a webui bug. In database everything seems ok, and submitting changes apparently works and does not end in failure.

foreman=# select * from compute_attributes where compute_profile_id = 10;
-[ RECORD 1 ]-------+----------------------------------------------------------------------------
id                  | 14
compute_profile_id  | 10
compute_resource_id | 12
name                | 1 CPUs and 768 MB memory
vm_attrs            | --- !ruby/hash-with-ivars:ActionController::Parameters
                    | elements:
                    |   cpus: '1'
                    |   corespersocket: '1'
                    |   memory_mb: '768'
                    |   firmware: bios
                    |   cluster: ''
                    |   path: "/Datacenters/VMLAB/vm"
                    |   guest_id: otherGuest
                    |   scsi_controller_type: VirtualLsiLogicController
                    |   hardware_version: Default
                    |   memoryHotAddEnabled: '0'
                    |   cpuHotAddEnabled: '0'
                    |   add_cdrom: '1'
                    |   annotation: savetest savetest
                    |   image_id: VMLAB/mdekan-vmware
                    |   interfaces_attributes: !ruby/hash-with-ivars:ActionController::Parameters
                    |     elements:
                    |       '0': !ruby/hash-with-ivars:ActionController::Parameters
                    |         elements:
                    |           type: VirtualE1000
                    |           network: dvportgroup-56
                    |         ivars:
                    |           :@permitted: true
                    |     ivars:
                    |       :@permitted: true
                    |   volumes_attributes: !ruby/hash-with-ivars:ActionController::Parameters
                    |     elements:
                    |       '0': !ruby/hash-with-ivars:ActionController::Parameters
                    |         elements:
                    |           datastore: EMC-VMWlun
                    |           name: Hard disk
                    |           size_gb: '10'
                    |           thin: 'true'
                    |           eager_zero: 'false'
                    |           mode: persistent
                    |         ivars:
                    |           :@permitted: true
                    |     ivars:
                    |       :@permitted: true
                    | ivars:
                    |   :@permitted: true
                    | 
created_at          | 2018-04-12 12:52:46.648807
updated_at          | 2018-04-12 13:18:44.062537

Comment 3 Chris Roberts 2018-08-01 19:40:45 UTC
*** Bug 1600428 has been marked as a duplicate of this bug. ***

Comment 4 pm-sat@redhat.com 2018-08-07 08:08:47 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/24541 has been resolved.

Comment 6 Sanket Jagtap 2018-12-20 12:35:59 UTC
Build:Satellite 6.5 snap8 


The compute profile setting for CD-ROM for VMware is retained. The provisioned box also has a CD-ROM device

Moving the BZ to verified

Comment 7 Sanket Jagtap 2018-12-20 12:37:18 UTC
Created attachment 1515846 [details]
Compute profile has cd checked

Comment 8 Sanket Jagtap 2018-12-20 12:37:47 UTC
Created attachment 1515847 [details]
Vmware VM has a CD-Rom device

Comment 10 errata-xmlrpc 2019-05-14 12:37:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.